#---------------------------------------------------------------------
#	Exemplos utilizados na documentao de funo
#				ANOVA.NPar
#---------------------------------------------------------------------

#~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*
#
#				EXEMPLO 1: Concentrao 01, 08 e 32
#
#~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*
Conc1.8.32<-read.csv2("Tabela1.2.3.Conc_1_8_32.csv",header=T)
t.aux<-c("t05","t10","t15","t20","t25","t30","t35")
Conc1.8.32.vec<-reshape(Conc1.8.32, direction="long", varying=2:8, split=list(regexp="[a-z][0-9]", include=T),
v.names="medidas",timevar="tempo",time=as.factor(t.aux))

#vecdados<-vecdados[order(vecdados$id),] # ordena os dados pela identificao da u.a

attach(Conc1.8.32.vec)

#Usar cbind e rbind para montar as matrizes de contrastes
c1<-rbind(c(1,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0),
	    c(1,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0)) #Tempos 1 so iguais
c2<-cbind(1,1,1,1,1,1,1,-1,-1,-1,-1,-1,-1,-1,0,0,0,0,0,0,0) #conc1=conc8


c3<-rbind(c(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,-1,0),
	    c(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,-1)) #p35=p36=p37
Contr<-list(c1,c2,c3)

H2O2_ANOVA <- ANOVA.NPar(var=medidas, time=tempo, group=h2o2, subject=id, 
				time.order = c("t05","t10","t15","t20","t25","t30","t35"), 
				group.order = c("conc_01","conc_08","conc_32"),var.name = "Velocidade", 
				time.name = "Tempo", group.name ="Conc", emptyCell=NULL, 
				contrast=NULL, rounds=4,alpha = 0.05, 
				graphs=c(TRUE,TRUE,TRUE))
H2O2_ANOVA$summary
H2O2_ANOVA$Test
H2O2_ANOVA$Covariance


H2O2_ANOVA.Contraste <- ANOVA.NPar(var=medidas, time=tempo, group=h2o2, subject=id, 
				time.order = c("t05","t10","t15","t20","t25","t30","t35"), 
				group.order = c("conc_01","conc_08","conc_32"),var.name = "Velocidade", 
				time.name = "Tempo", group.name ="Conc", emptyCell=NULL, 
				contrast=Contr, rounds=4,alpha = 0.05, 
				graphs=c(FALSE,FALSE,FALSE))

H2O2_ANOVA.Contraste$Stat

H2O2_ANOVA.Contraste$Stat$Tests[[1]]
H2O2_ANOVA.Contraste$Stat$Tests[[2]]
H2O2_ANOVA.Contraste$Stat$Tests[[3]]


#~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*
#
#				EXEMPLO 2: Spallicci2000
#
#~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*
Bishop_dt<-read.csv2("Spallicci2000.csv",header=T)
names(Bishop_dt)
t.aux<-c("0h","24h","48h","72h","96h","Intern.")
Bishop.vec<-reshape(Bishop_dt, direction="long", varying=3:8, split=list(regexp="[a-z][0-9]", include=T),
v.names="Bishop",timevar="Tempo",time=as.factor(t.aux))

attach(Bishop.vec)
Bishop.vec <- Bishop.vec[order(Bishop.vec$id),]

Bishop_ANOVA <- ANOVA.NPar(var=Bishop, time=Tempo, group=droga, subject=id, 
  		              time.order = c("0h","24h","48h","72h","96h","Intern."),
		 		  group.order = c("P","H"), var.name = "Bishop",
				  time.name = "Tempo", group.name = "Droga", 
	       	        emptyCell=NULL, contrast=NULL, rounds=4, alpha = 0.05, 
				  graphs=c(TRUE,TRUE,TRUE))




#-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.
#Resultados da Tabela Resumo.
#-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.
Bishop_ANOVA$summary

#-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.
#Tabela com os resultados dos
#testes usuais
#-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.
Bishop_ANOVA$Test
Bishop_ANOVA$Covariance
#-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.
#Testes de hipteses definidas pelo usurio
#-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.
c1<-cbind(1,0,0,0,0,0,-1,0,0,0,0,0) #G1T1=G2T1
c2<-cbind(0,1,0,0,0,0,0,-1,0,0,0,0) #G1T2=G2T2

Contr<-list(c1,c2) #cria uma lista de matrizes de contantes das hipteses a serem testadas

Bishop_ANOVA2 <- ANOVA.NPar(var=Bishop, time=Tempo, group=droga, subject=id, 
				time.order = c("0h","24h","48h","72h","96h","Intern."),
				group.order = c("P","H"), var.name = "Bishop", time.name = "Tempo", 
				group.name = "Droga", emptyCell=NULL, contrast=Contr, rounds=4, alpha = 0.05,
				graphs=c(FALSE,FALSE,FALSE))

Bishop_ANOVA2$Stat$Tests[[1]]
Bishop_ANOVA2$Stat$Tests[[2]]


#~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*
#
#				EXEMPLO 3: Concentrao 0, 16 e 64
#
#~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*
dados<-read.csv2("Tabela1.2.3-0.16.64.csv",header=T)

t.aux<-c("t05","t10","t15","t20","t25","t30","t35")

Dados_EmptyCell<-reshape(dados, direction="long", varying=3:9, split=list(regexp="[a-z][0-9]", include=T),
v.names="medidas",timevar="Tempo",time=as.factor(t.aux))

Dados_EmptyCell <- Dados_EmptyCell[-c(157:162),] # retiro as linhas com valores faltantes

Dados_EmptyCell <- Dados_EmptyCell[order(Dados_EmptyCell$id),] # ordena os dados pela identificao da u.a
attach(Dados_EmptyCell)

emptyCell<-rbind(c("Conc_0","t35"))

#~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*
#Efeito de interao
##~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*
Cgt<-rbind(c(1,(-1),rep(0,4),(-1),1,rep(0,12)),
	     c(0,1,(-1),rep(0,4),(-1),1,rep(0,11)),
	     c(0,0,1,(-1),rep(0,4),(-1),1,rep(0,10)),
	     c(rep(0,3),1,(-1),rep(0,4),(-1),1,rep(0,9)),
	     c(rep(0,4),1,(-1),rep(0,4),(-1),1,rep(0,8)),
	     c(1,(-1),rep(0,11),1,(-1),rep(0,5)),
	     c(0,1,(-1),rep(0,11),1,(-1),rep(0,4)),
	     c(0,0,1,(-1),rep(0,11),1,(-1),rep(0,3)),
	     c(rep(0,3),1,(-1),rep(0,11),1,(-1),0,0),
	     c(rep(0,4),1,(-1),rep(0,11),1,(-1),0))

#~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*
#Efeito de Grupo
##~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*
Cg<-rbind(c(rep(1/6,6),rep(-1/7,7),rep(0,7)),
	    c(rep(1/6,6),rep(0,7),rep(-1/7,7)))

#~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*
#Efeito de Tempo
#~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*
Ct <- rbind(c(1,(-1),rep(0,4),1,(-1),rep(0,5),1,(-1),rep(0,5)),
		c(0,1,(-1),rep(0,4),1,(-1),rep(0,5),1,(-1),rep(0,4)),
		c(0,0,1,(-1),rep(0,4),1,(-1),rep(0,5),1,(-1),rep(0,3)), 
		c(rep(0,3),1,(-1),rep(0,4),1,(-1),rep(0,5),1,(-1),0,0), 
		c(rep(0,4),1,(-1),rep(0,4),1,(-1),rep(0,5),1,(-1),0),
		c(rep(0,5),(1/3),rep(0,5),(1/3),(-1/2),rep(0,5),(1/3),(-1/2)))


CTT<-list(Cg,Ct,Cgt)
EmtyCell <- ANOVA.NPar(var=medidas, time=Tempo, group=h2o2, subject=id, 
				time.order = c("t05","t10","t15","t20","t25","t30","t35"),
				group.order = c("Conc_0","Conc_16","Conc_64"), 
	  	            var.name = "Velocidade", time.name = "Tempo", group.name = "Concentracao", 
	       	      emptyCell=emptyCell, contrast=CTT, rounds=4, alpha = 0.05,
				graphs=c(TRUE,TRUE,TRUE))

EmtyCell 
EmtyCell$Summary
EmtyCell$Stat$Tests # Apresenta todos os Testes

#Resultados por contraste (precisa "dizer" a posio do contraste na lista)
EmtyCell$Stat$Tests[[1]] # Efeito de Grupo
EmtyCell$Stat$Tests[[2]] # Efeito de Tempo
EmtyCell$Stat$Tests[[3]] #Interao

EmtyCell$Covariance



